#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream fi("tansuat.inp");
	ofstream fo("tansuat.out");
	int64_t n;
	fi>>n;
	int64_t a[n];
	for(int64_t i=0;i<n;i++)
	{
		fi>>a[i];
	}
	sort(a,a+n);
	int dempt=0;
	for(int64_t i=0;i<n;i++)
	{
		int64_t dem=1;
		for(int64_t j=i+1;j<n;j++)
		{
			if(a[j]==a[i])
			{
				dem++;
				for(int64_t k=j;k<n-1;k++)
				{
					a[k]=a[k+1];
				}
				n--;
			}
			else{break;}
		}
		if(dem>1)
		{
			fo<<a[i]<<' '<<dem<<endl;
			dempt++;
		}
	}
	if(dempt==0)
	{
		fo<<0;
	}
}
